{
  "name": "{{ agave.appsPrefix }}-bwa-align-gf2",
  "version": "0.2",
  "label": "BWA align app",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/bwa-align-gf2-0.2",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "bwa-align-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "pair",
      "value": {
        "required": false,
        "default": ""
      }
    },
    { "id": "reference_index",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "threads",
      "value": {
        "required": false,
        "default": 2,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}